using System;
using System.Collections.Generic;
using System.Text;

namespace Orbiter.Interfaces.Templates
{
    public class BasePlanetModule:PlanetModule
    {
        #region PlanetModule Members

        public virtual IntPtr InitInstance(IntPtr body)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        public virtual void ExitInstance(IntPtr vessel){}

        #endregion

        #region Module Members

        public void InitModule(IntPtr nativeDLL){}
        public void ExitModule(IntPtr nativeDLL){}

        #endregion
    }
}
